kio Library: KDesktopPropsPlugin Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDesktopPropsPlugin Class Reference

Used to edit the files containing [Desktop Entry] Type=Application. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KDesktopPropsPlugin:

[legend]
Collaboration diagram for KDesktopPropsPlugin:

[legend]
List of all members.

## Public Slots
void | slotAddFiletype ()
void | slotDelFiletype ()
void | slotBrowseExec ()
void | slotAdvanced ()
void | slotSelectMimetype ()
## Public Member Functions
| KDesktopPropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()
## Static Public Member Functions
static bool | supports (KFileItemList _items)

## Detailed Description

Used to edit the files containing [Desktop Entry] Type=Application.

Such files are used to represent a program in kicker and konqueror.

Definition at line 774 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KDesktopPropsPlugin::KDesktopPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 2914 of file kpropertiesdialog.cpp. References KDialogBase::addPage(), KPropsDlgPlugin::changed(), QFile::close(), QObject::connect(), KMimeType::defaultMimeTypePtr(), KConfigBase::hasKey(), QString::isEmpty(), QString::left(), QString::lower(), KMimeType::mimeType(), QFile::open(), KConfigBase::readBoolEntry(), KConfigBase::readEntry(), KConfigBase::readListEntry(), KConfigBase::readPathEntry(), QString::remove(), KConfigBase::setDesktopGroup(), and KConfigBase::setDollarExpansion().

## Member Function Documentation

void KDesktopPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 3157 of file kpropertiesdialog.cpp. References QFile::close(), KGlobal::dirs(), endl(), QListViewItem::firstChild(), QString::isEmpty(), kdDebug(), KPropertiesDialog::kurl(), QListViewItem::nextSibling(), QFile::open(), KURL::path(), KService::rebuildKSycoca(), KStandardDirs::relativeLocation(), KConfigBase::setDesktopGroup(), KMessageBox::sorry(), QString::startsWith(), KSimpleConfig::sync(), QListViewItem::text(), KConfigBase::writeEntry(), and KConfigBase::writePathEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:26 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003